Bug 55833 - [qlogic] Kernel paging request error and seg fault while booting with qlogic 2200 (2.4.9-13.1)
[qlogic] Kernel paging request error and seg fault while booting with qlogic ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
: 562369 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 09:32 EST by Clay Cooper
Modified: 2010-04-09 10:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 14:36:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clay Cooper 2001-11-07 09:32:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
Bordeaux w/ 2.4.9-13.1smp, 32GB ram, 2GB swap, bios A02.

Boot disk on a perc 3/QC in slot 5, qlogic2200 copper attached to PV650F in
slot 6, and Intel/XT in slot 8.  External storage has 10 configured LUNS.

During boot:

Initializing USB controller (usb-uhci):
Unable to handle kernel paging request at virtual address 0000000000000020
Unable to handle kernel paging request at virtual address
00000000000000c8
Unable to handle kernel paging request at virtual address
00000000000000c8
Unable to handle kernel paging request at virtual address
00000000000000c8

Checking for new hardware:  /etc/rc3.d/S05kudzu: line 78:  290 Segmentation
fault /usr/sbin/kudzu  $KUDZU_ARGS -t 30

Then system hangs at:
 
Bringing up interface lo: 

**Sometimes the system boots fine, sometimes the system just hangs at
"Bringing up interface lo:", and sometimes the above errors occur.  

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Install a bordeaux with rc3 and as late as 13.1 kernel, a02 bios, a
megaraid card as boot device, and a qlogic 2200 attached to external storage.
2.Attempt to boot up
3.
	

Actual Results:  "Unable to handle kernel paging request" errors and a
kudzu segmentation fault during boot.

Expected Results:  Normal boot.

Additional info:
Comment 1 Bill Nottingham 2001-11-07 10:17:29 EST
2.4.9-13.1?

Um, that kernel is not-yet-ready-for-prime-time.
Comment 2 Arjan van de Ven 2001-11-07 10:20:10 EST
We're rewriting the swiommu as that was one of the reasons for severe
performance problems on ia64 and this was a first draft ... to be continued.
Comment 3 Clay Cooper 2001-11-09 11:07:48 EST
Does not occur with RC2 updated to 2.4.9-0.18smp kernel.
Comment 4 Clay Cooper 2001-11-12 16:01:05 EST
Error did not appear during 5 boots with qa1108 (2.4.9-13.3smp).
Comment 5 Michael K. Johnson 2001-11-13 16:49:27 EST
2.4.9-13.4 is now available at
ftp://ftp.beta.redhat.com/pub/testing/kernel/

Please test and make sure we have not regressed on this point from
2.4.9-13.3.  I'm going to close this now on the assumption that we
have not regressed; if I'm wrong, please re-open it.
Comment 6 Clay Cooper 2001-11-14 09:08:31 EST
After many more reboots during other testing, saw this with qa1108 (2.4.9-13.3smp). 

Comment 7 Clay Cooper 2001-11-14 14:56:48 EST
Reproduced with qa1108 updated to 2.4.9-13.4.
Comment 8 Clay Cooper 2001-11-30 12:45:06 EST
With qa1129 (2.4.9-17.3smp), reproduced a system hang at:
"Bringing up interface lo:"

This is one of the possible hangs I've seen when the initrd is loading the
qla2x00 driver on a system with a qlogic 2200 card and attached storage.


Comment 9 Clay Cooper 2001-11-30 15:30:21 EST
I wanted to clarify that this issue was reproduced (as described in my previous
entry) with the new qla2200 driver in the initrd.  I remade the initrd using the
 qla2200 entry made by kudzu, which as you said is updated for the new driver. 
It is only in bug 55836 that I manually loaded the old qla2x00 driver mistakenly.

BTW, The reason I was manually loading the driver is because the installer is
not updated with qla2200 entries.
Comment 10 Michael K. Johnson 2001-12-01 08:01:40 EST
Did you also get: "Unable to handle kernel paging request..." messages
with qa1129?

Did you get a segfault?

Comment 11 Clay Cooper 2001-12-01 14:00:24 EST
I have not seen the kernel paging error or segfault yet, just the hang.  But,
like the hang, these errors are intermittent. I am attempting to reproduce all
of them.
Comment 12 Clay Cooper 2001-12-01 14:20:25 EST
And on my very next reboot...kernel paging error, kudzu segfault, and hang at
"bringing up interface lo:" w/ qla2200 driver in qa1129 (2.4.9-17.3smp).
Comment 13 Arjan van de Ven 2001-12-02 11:53:49 EST
I wonder if this really is the qlogic fault or the usb controller ;(
Comment 14 Arjan van de Ven 2001-12-05 04:24:01 EST
A nasty stack overflow has been found and fixed in the qlogic driver; it was
found due to an oops like this :)....
Should be fixed as of 2.4.9-17.4 (which Dell should already have)
Comment 15 Michael K. Johnson 2001-12-06 11:57:00 EST
Putting this bug in NEEDINFO state since we think it is fixed but need
a while before Dell is sure since it can't be reproduced reliably.
Comment 16 Clay Cooper 2001-12-07 14:36:36 EST
This seems fixed.  Haven't reproduced with 2.4.9-17.4smp after rebooting all day
yesterday and today.
Comment 17 Michael K. Johnson 2001-12-07 15:09:41 EST
Great, thanks!
Comment 18 Haïkel Guémar 2010-04-09 10:41:26 EDT
*** Bug 562369 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.